PIP 1.7.1 Platform-Independent Primitives

Classes | Functions
piset.h File Reference

Set container. More...

## Classes
class | PISet< T >
| Set of any type. More...

## Functions
template<typename T >
PISet< T > | operator+ (const PISet< T > &v0, const PISet< T > &v1)
| Returns unite of two sets.
template<typename T >
PISet< T > | operator- (const PISet< T > &v0, const PISet< T > &v1)
| Returns subtraction of two sets.
template<typename T >
PISet< T > | operator| (const PISet< T > &v0, const PISet< T > &v1)
| Returns unite of two sets.
template<typename T >
PISet< T > | operator& (const PISet< T > &v0, const PISet< T > &v1)
| Returns intersetion of two sets.

## Detailed Description

Set container.

This file declare PISet